﻿using C1.WPF.Grid;
using C1.WPF.Input;
using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;

namespace ScrollBarVisible
{
    public class UserCellFactory : GridCellFactory
    {
        public override FrameworkElement CreateCellEditor(GridCellRange range)
        {
            var row = Grid.Rows[range.Row];
            var column = Grid.Columns[range.Column];
            var colEditor = new C1TextBox() { Width = column.Width.Value, Height = row.Height.Value };
            colEditor.BorderThickness = new Thickness(1);
            colEditor.VerticalScrollBarVisibility = ScrollBarVisibility.Auto;
            colEditor.TextWrapping = TextWrapping.Wrap;
            colEditor.AutoWordSelection = false;
            colEditor.AcceptsReturn = false;
            colEditor.AcceptsTab = false;
            colEditor.Background = Brushes.Transparent;

            colEditor.Text = Grid.GetCellDisplayValue<string>(GridCellType.Cell, row, column) ?? "";

            return colEditor;
        }


    }
}